Subject: bug#26911: 25.2; eshell "cd .." doesn't work correctly with TRAMP

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Aug 2020 22:31:21 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sat, 29 Aug 2020 21:12:30 +0200
> 
> > I tried running "make tramp-tests", but all I get is this:
> >
> >     GEN      lisp/net/tramp-tests.log
> >   Not a Tramp file name: "NUL"
> >
> > Any suggestions?
> 
> Hmm, yes: on MS Windows, the mock trick doesn't work. I hoped, that at
> least the tests which do not need a real connection do work.
> 
> Well, if you have a remote host reachable via putty, which has also a
> /tmp directory, you could try
> 
> set REMOTE_TEMPORARY_FILE_DIRECTORY=/plink:user@host:/tmp
> 
> prior the make call.

This variant seems to work:

  REMOTE_TEMPORARY_FILE_DIRECTORY=/plink:user@host:/tmp make lisp/net/tramp-tests

Most of the tests are "skipped", but the one you were interested in
isn't skipped, and indeed fails:

  Test tramp-test05-expand-file-name condition:
      (ert-test-failed
       ((should
	 (string-equal
	  (expand-file-name "/method:host:/path/.")
	  (if ... "/method:host:/path/" "/method:host:/path")))
	:form
	(string-equal "/method:host:/path" "/method:host:/path/")
	:value nil))
     FAILED  12/70  tramp-test05-expand-file-name (0.000000 sec)

HTH